# Delete a Project

DEL `https://api.vercel.com/v9/projects/{idOrName}`

Delete a specific project by passing either the project `id` or `name` in the URL.

### Example Request

```typescript
const response = await fetch('https://api.vercel.com/v9/projects/idOrName?teamId=string&slug=string', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Response

```json
{}
```

## Authentication

**Authorization**: bearerToken  
Default authentication mechanism.

## Path Parameters

- `idOrName` **string** Required  
  The unique project identifier or the project name.

## Query Parameters

- `teamId` **string** Optional  
  The Team identifier to perform the request on behalf of.
- `slug` **string** Optional  
  The Team slug to perform the request on behalf of.

## Response Status

- `204` The project was successfully removed.

## Errors

- `400` One of the provided values in the request query is invalid.
- `401` The request is not authorized.
- `403` You do not have permission to access this resource.
- `409` Error
- `410` Error
